Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::WvIn Class Reference

STK audio input abstract base class. More...

`#include <WvIn.h>`

Inheritance diagram for stk::WvIn:

List of all members.

## Public Member Functions
unsigned int | channelsOut (void) const
| Return the number of audio channels in the data or stream.
const StkFrames & | lastFrame (void) const
| Return an StkFrames reference to the last computed sample frame.
virtual StkFloat | tick (unsigned int channel=0)=0
| Compute one sample frame and return the specified `channel` value.
virtual StkFrames & | tick (StkFrames &frames)=0
| Fill the StkFrames argument with computed frames and return the same reference.

## Detailed Description

STK audio input abstract base class.

This class provides common functionality for a variety of audio data input subclasses.

by Perry R. Cook and Gary P. Scavone, 1995-2012.

## Member Function Documentation

const StkFrames& stk::WvIn::lastFrame | ( | void |  | ) | const`[inline]`

Return an StkFrames reference to the last computed sample frame.

If no file data is loaded, an empty container is returned.

    00029 { return lastFrame_; };

The documentation for this class was generated from the following file:

- WvIn.h

The Synthesis ToolKit in C++ (STK)
©1995-2012 Perry R. Cook and Gary P. Scavone. All Rights Reserved.